WCSXFRM(3) | Library Functions Manual | WCSXFRM(3)

# NAME

`wcsxfrm` —
transform a wide string under locale

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <wchar.h>`

size_t
`wcsxfrm`(wchar_t * restrict dst, const wchar_t * restrict src, size_t n);

# DESCRIPTION

The `wcsxfrm`() function transforms a nul-terminated wide-character string pointed to by src according to the current locale collation order then copies the transformed string into dst. No more than n wide characters are copied into dst, including the terminating nul character added. If n is set to 0 (it helps to determine an actual size needed for transformation), dst is permitted to be a null pointer.

Comparing two strings using `wcscmp`() after `wcsxfrm`() is equivalent to comparing two original strings with `wcscoll`().

# RETURN VALUES

Upon successful completion, `wcsxfrm`() returns the length of the transformed string not including the terminating nul character. If this value is n or more, the contents of dst are indeterminate.

# SEE ALSO

setlocale(3), strxfrm(3), wcscmp(3), wcscoll(3)

# STANDARDS

The `wcsxfrm`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

# BUGS

The current implementation of `wcsxfrm`() function disregards `LC_COLLATE` locales, and falls back to using the `wcsncpy`() function.

October 13, 2006 | NetBSD 9.4